import { Keyspace } from '@cbjsdev/shared';
import { CouchbaseHttpApiConfig } from '../../types.js';
/**
 * Return the number of remaining mutations.
 * The value is the sum of the queued (not sent to the indexer yet) and
 * pending mutations (currently processed by the indexer).
 *
 * @param apiConfig
 * @param indexName
 * @param keyspace
 */
export declare function getQueryIndexRemainingMutations(apiConfig: CouchbaseHttpApiConfig, indexName: string, keyspace: Keyspace): Promise<number>;
