export type ApiQueryResponseBody<Result, Signature = {
    name: 'json';
}> = {
    requestID: string;
    signature: Signature;
    results: Result;
    status: 'success' | 'failure';
    metrics: {
        elapsedTime: `${number}ms`;
        executionTime: `${number}ms`;
        resultCount: number;
        resultSize: number;
        serviceLoad: number;
    };
};
